<!-- 搜索表单 -->
<template>
  <el-form
    label-width="80px"
    class="ele-form-search"
    @keyup.enter.native="search"
    @submit.native.prevent
  >
    <el-row>
      <el-col v-bind="styleResponsive ? { lg: 5, md: 12 } : { span: 4 }">
        <el-form-item label="名称:">
          <el-input clearable v-model.trim="where.name" placeholder="请输入" />
        </el-form-item>
      </el-col>
      <el-col v-bind="styleResponsive ? { lg: 5, md: 12 } : { span: 4 }">
        <el-form-item label="所属工厂:">
          <el-select
            style="width: 100%"
            clearable
            v-model="where.factoryId"
            filterable
            placeholder="请选择所属工厂"
          >
            <el-option
              v-for="item in factoryList"
              :label="item.name"
              :value="item.id"
              :key="item.id"
            ></el-option>
          </el-select>
        </el-form-item>
      </el-col>


      <el-col v-bind="styleResponsive ? { lg: 4, md: 12 } : { span: 4 }">
        <div class="ele-form-actions">
          <el-button
            type="primary"
            icon="el-icon-search"
            class="ele-btn-icon"
            @click="search"
          >
            查询
          </el-button>
          <el-button @click="reset">重置</el-button>
        </div>
      </el-col>
    </el-row>
  </el-form>
</template>

<script>
  import { getFactoryarea } from '@/api/factoryModel';
  export default {
    data() {
      // 默认表单数据
      const defaultWhere = {
        name: '',
        factoryId: '',
      };
      return {
        // 表单数据
        where: { ...defaultWhere },

        factoryList: [],
        workshopPlanList: []
      };
    },

    created() {
      this.getFactoryList();
    },
    computed: {
      // 是否开启响应式布局
      styleResponsive() {
        return this.$store.state.theme.styleResponsive;
      }
    },
    methods: {
      async getFactoryList() {
        const { list } = await getFactoryarea({
          pageNum: 1,
          size: 999,
          type: 1
        });
        this.factoryList = list || [];
      },


      /* 搜索 */
      search() {
        this.$emit('search', this.where);
      },
      /*  重置 */
      reset() {
        this.where = { ...this.defaultWhere };
        this.search();
      }
    }
  };
</script>
